rpm 4.15.1

Functions
rpmstring.h File Reference
Data types: » String Manipulation API.
`#include <stddef.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for rpmstring.h:

Go to the source code of this file.

## Functions
static RPM_GNUC_CONST int | rislower (int c)
static RPM_GNUC_CONST int | risupper (int c)
static RPM_GNUC_CONST int | risalpha (int c)
static RPM_GNUC_CONST int | risdigit (int c)
static RPM_GNUC_CONST int | risalnum (int c)
static RPM_GNUC_CONST int | risblank (int c)
static RPM_GNUC_CONST int | risspace (int c)
static RPM_GNUC_CONST int | rtolower (int c)
static RPM_GNUC_CONST int | rtoupper (int c)
static RPM_GNUC_CONST unsigned char | rnibble (char c)
| Convert hex to binary nibble. More...
static int | rstreq (const char *s1, const char *s2)
| Test for string equality. More...
static int | rstreqn (const char *s1, const char *s2, size_t n)
| Test for string equality. More...
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
int int | rvasprintf (char **strp, const char *fmt, va_list ap)
char * | rstrcat (char **dest, const char *src)
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
size_t | rstrlcpy (char *dest, const char *src, size_t n)
RPM_GNUC_PURE unsigned int | rstrhash (const char *string)

## Detailed Description

String manipulation helper functions

Definition in file rpmstring.h.

## Function Documentation

## ◆ rnibble()

static RPM_GNUC_CONST unsigned char rnibble | ( | char | c | ) |
| inline static

Convert hex to binary nibble.

Parameters

  c | hex character

Returns
  binary nibble

Definition at line 97 of file rpmstring.h.

## ◆ rstreq()

static int rstreq | ( | const char * | s1,
|  | const char * | s2
| ) |  |
| inline static

Test for string equality.

Parameters

  s1 | string 1
  s2 | string 2

Returns
  0 if strings differ, 1 if equal

Definition at line 114 of file rpmstring.h.

## ◆ rstreqn()

static int rstreqn | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n
| ) |  |
| inline static

Test for string equality.

Parameters

  s1 | string 1
  s2 | string 2
  n | compare at most n characters

Returns
  0 if strings differ, 1 if equal

Definition at line 126 of file rpmstring.h.